Draft Line/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "==脚本== {{Emphasis|参见:}} Draft APIFreeCAD Scripting Basics。")
(Created page with "* 创建点{{incode|p1}}与点{{incode|p2}}间的一条 {{incode|Line}}对象,每个点由其{{incode|FreeCAD.Vector}}来定义,且以毫米为单位。 * 根据{{incode|P...")
Line 64: Line 64:
}}
}}


* Creates a {{incode|Line}} object between points {{incode|p1}} and {{incode|p2}}, each defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.
* 创建点{{incode|p1}}与点{{incode|p2}}间的一条 {{incode|Line}}对象,每个点由其{{incode|FreeCAD.Vector}}来定义,且以毫米为单位。
* Creates a {{incode|Line}} object from a {{incode|Part.LineSegment}}.
* 根据{{incode|Part.LineSegment}}来创建一条{{incode|Line}}对象。
* Creates a {{incode|Line}} object from the first vertex to the last vertex of the given {{incode|Shape}}.
* 从指定{{incode|Shape}}的第一个顶点至最后一个顶点创建一条{{incode|Line}}对象。


示例:
示例:

Revision as of 18:26, 17 June 2019

Draft Line

Menu location
Draft → Line
Workbenches
Draft, Arch
Default shortcut
L I
Introduced in version
0.7
See also
Draft Wire, Draft Point

描述

线段工具用于创建两点定义的线段。它根据Draft TrayDraft Linestyle的设置来绘制线段。此工具与Draft Wire工具的行为基本相同,唯独线段工具在绘制完一条两点的线段即停止工作。

根据两点创建一条线段

如何使用

  1. 按下 Draft Line按钮, 或先按L再按I键。
  2. 在3D视图中单击第一个点,或输入坐标并按下 add point按钮。
  3. 在3D视图中单击第二个点,或输入 坐标并按下 add point键。

通过双击树状视图(tree view)中的元素或点击 Draft Edit按钮即可编辑对应线段。届时,您就可将构成线段的点移动到预定的新位置。

将多条单独的线段合为一体

如果选定了若干连接在一起的线段,再按下 Draft Upgrade工具,即可将它们融合为一条连线(wire);但是,却不能对这条连线进行后续编辑。为了创建一条可编辑的连线,至少需要用 Draft Upgrade三次以上来调整新图形(连线->闭合连线->面)。您也可以用 Draft Wire工具来融合初始的多条单独线段。

利用一条单独的线段也可创建出一条连线,我们要做的是在此线段中加入另一个点。为此,先按下 add point按钮,再单击此线段中的任意一点。

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
    • You can also define the polar coordinates of the point by giving a value to "Length" and "Angle". Click on the checkbox next to "Angle" to constrain the pointer to the specified angle. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Ctrl+Z or press the Undo button to undo the last point.
  • Press Esc or the Close button to abort the current command.

属性

线段对象享有Draft Wire的所有属性,但是其中仅有部分属性适用于线段。

数据

  • 数据Start: 指定起始点。
  • 数据End: 指定结束点。
  • 数据Subdivisions: 指定线段中的中间节点数量。introduced in version 0.16
  • 数据Length: 指定线段的长度。

视图

  • 视图End Arrow: 如果此项为true,将在线段的结束点处显示一个符号,借此可将其用作一条注解线。
  • 视图Arrow Size: 指定线段结束点处所显示符号的大小。
  • 视图Arrow Type: 指定线段结束点处所显示符号的类型,选项有"Dot(点)", "Circle(圆形)", "Arrow(箭头)"或"Tick"(以及"Tick2")。

脚本

参见: Draft APIFreeCAD Scripting Basics

借助下列函数即可在Python控制台中使用线段绘制工具:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • 创建点p1与点p2间的一条 Line对象,每个点由其FreeCAD.Vector来定义,且以毫米为单位。
  • 根据Part.LineSegment来创建一条Line对象。
  • 从指定Shape的第一个顶点至最后一个顶点创建一条Line对象。

示例:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)